lightify_group Struct Reference
Collaboration diagram for lightify_group:
[legend]

## Data Fields

struct lightify_ctx * | ctx
struct lightify_group * | next
struct lightify_group * | prev
int | id
char * | name

## Detailed Description

Group structure

Definition at line 46 of file groups.c.

## Field Documentation

struct lightify_ctx* ctx

library context

Definition at line 47 of file groups.c.

int id

Group ID

Definition at line 54 of file groups.c.

char* name

Group name

Definition at line 57 of file groups.c.

struct lightify_group* next

linked list, next entry

Definition at line 50 of file groups.c.

struct lightify_group* prev

linked list, previous entry

Definition at line 51 of file groups.c.

The documentation for this struct was generated from the following file:

- src/groups.c